1

After upgrading Drupal from 8.9 to 9.2 for several weeks I always get following error message when I use the command

drush upgradedb

CiviCRM: System: Please specify a realistic site URL (Ex: drush -l  http://example.com:456 ...)

When I ignore this message I can execute the upgradedb-command, but I still don't know whether this message points to some important information. I have no idea where I should specify the url.

Has anybody any idea?

1

You need to specify it in the command, e.g.

drush -l https://my-site.org upgradedb

For upgradedb it shouldn't be too important, but for example for a command that sends out emails with links it would have http://default/ in them instead of your real site.

1
  • Thanks a lot. That solved the matter for me.
    – paul77
    Oct 7 at 15:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.